Skip to main content
GET
/
rewards
/
{currency}
/
history
Get daily reward history for a stablecoin
curl --request GET \
  --url https://api.bridge.xyz/v0/rewards/{currency}/history \
  --header 'Api-Key: <api-key>'
{
  "currency": "usdb",
  "developer_id": "2d127766-02fa-44b0-9fc8-a67665dbf109",
  "reserves_currency": "usd",
  "data": [
    {
      "date": "2026-04-20",
      "distributed": false,
      "total": {
        "aum": "45000000.00",
        "developer_rewards": "5390.41",
        "net_rewards": "4851.37",
        "bridge_fee_bps": "10.0000",
        "bridge_fee": "539.04",
        "annualized_yield_bps": "436.6667"
      },
      "providers": [
        {
          "provider": "blackrock",
          "aum": "30000000.00",
          "developer_rewards": "3561.64",
          "annualized_yield_bps": "432.5000"
        },
        {
          "provider": "superstate",
          "aum": "15000000.00",
          "developer_rewards": "1828.77",
          "annualized_yield_bps": "445.0000"
        }
      ]
    }
  ],
  "pagination": {
    "has_more": true,
    "next_cursor": "eyJkYXRlIjoiMjAyNi0wNC0yMCJ9"
  }
}

Documentation Index

Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Api-Key
string
header
required

Path Parameters

currency
string
required

The stablecoin symbol

Query Parameters

limit
integer
default:30

Number of days to return per page

Required range: 1 <= x <= 90
cursor
string

Pagination cursor from a previous response

Response

Daily reward history

currency
string

The stablecoin symbol

developer_id
string

The developer ID

reserves_currency
string

The denomination currency for all monetary amounts

data
object[]
pagination
object